import store from '../../../store'
import create from '../../../utils/create'

const app = getApp()

create(store, {
  data: {
    UserInfo: app.globalData.UserInfo, // 用户信息
    loadding: false, // 表单验重提交开关
  },
  onReady() {
    wx.setNavigationBarTitle({
      title: '个人资料'
    })
  },
  SaveUserInfo() { // 提交表单数据
    if (!this.data.loadding) {
      this.setData({
        loadding: true
      })


    }
  },
  FormInput(e) { // 表单输入数据绑定
    const key = e.target.dataset.name
    const val = e.detail.value
    
    this.setData({
      UserInfo: {
        ...this.data.UserInfo,
        [`${key}`]: val,
      }
    })
  }
})
